Bug 35316 - Kernel from RH 7.0 destroy ext2fs on Cyrix M II processor
Kernel from RH 7.0 destroy ext2fs on Cyrix M II processor
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-09 06:29 EDT by Milan Kerslager
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-21 16:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2001-04-09 06:29:50 EDT
I had a machine with RH 6.0+ (this machine works for 2 years on the same 
HW without any trouble) and I upgraded it to the 7.0 (kernel-2.2.16-22 and 
kernel-2.2.17-14 from updates). The installer decided to use i686 kernel 
and Glibc (as uname -m display). The system boot normally but after a 
while (say 15-30 minutes) when the system was runnig and there was some 
disk operations the partitions with ext2 filesystem (I have only ext2 FS) 
went to hell (was almost unusable, e2fsck did not help).

I decided to use i386 libs, kernel (fresh installation). The system run 
for 12 or 16 hours and then the same as above - there was a problems with 
ext2 filesystem. I decided to use another HW (486 procesor on a different 
motherboard) and everything is ok again.

This seems that kgcc produce bad code for Cyrix M II. I did not tested any 
of 2.4.x kernels as this HW is in another firm.

Reproducible: Always, update or fresh install doesn't matter

This is high severity bug but 2.2.x is obsolete and there could be some 
comment about Cyrix processors when 2.2.19 will go out.
Comment 1 Alan Cox 2001-05-19 16:31:31 EDT
This looks more consistent with hardware than software problems, especially as
its one of the notorious Cyrix heating elements as a processor. Does the machine
pass stress tests like memtest86 ?
Comment 2 Milan Kerslager 2001-07-21 16:32:45 EDT
It could be possible. I have no longer access to this machine so I can't test 
it. The server's HW has been replaced by another.
Comment 3 Mike A. Harris 2002-08-20 07:11:32 EDT
Just spotted this bug still open.  Without reproduceability, there
isn't much can be done, especially since it looks like a hardware
issue likely.  Closing bug as NOTABUG for now.  If you reproduce
again, and the machine passes a memtest86 test, feel free to
reopen for further investigation.

Note You need to log in before you can comment on or make changes to this bug.